# BprotocolLiquitySPDeposit

### Description

BprotocolLiquitySPDeposit - Action that deposits LUSD into Bprotocol

### Action ID

`0x226d4a83`

### SDK Action

```ts
const bprotocolLiquitySPDepositAction = new dfs.actions.bprotocol.BprotocolLiquitySPDepositAction(
    lusdAmount,
    from,
    lqtyTo
);
```

### Action Type

`STANDARD_ACTION`

### Input Parameters

```solidity
    /// @param lusdAmount Amount of LUSD to deposit into Bprotocol
    /// @param from Address from where the LUSD is being pulled
    /// @param lqtyTo Address that will recieve LQTY rewards
    struct Params {
        uint256 lusdAmount;
        address from;
        address lqtyTo;
    }
```

### Return Value

```solidity
return bytes32(deposited);
```

### Events and Logs

```solidity
emit ActionEvent("BprotocolLiquitySPDeposit", logData);
logger.logActionDirectEvent("BprotocolLiquitySPDeposit", logData);
bytes memory logData = abi.encode(params);
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.defisaver.com/actions/bprotocol/bprotocolliquityspdeposit.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
